Copyright

Copyright © 2022-2026 by NIPPON PULSE AMERICA, INC. All Rights Reserved.

First edition, March 2022

Current Version: 3.0, August 2026

NIPPON PULSE AMERICA, INC. copyrights this document. You may not reproduce or translate into any language in any form any part of this publication without written permission from NIPPON PULSE AMERICA, INC.

NIPPON PULSE AMERICA, INC. makes no representations or warranties regarding the content of this document. We reserve the right to revise this document any time without notice and obligation.

Copyright © 2022-2026 by NIPPON PULSE AMERICA, INC. All Rights Reserved.


Revision_History

Copyright ››
Date and Revision | Changes Made
March 2022 Version 1.0 | Added Firmware Updating section, added Boot-loader Updating section, added pictures, added keywords
April 2022 Version 2.0 | Added Downloads, walk-through, and article
July 2022 Version 2.1 | Fix broken links, Marked V201 (CMD-4EX) firmware as Known issue.
September 2023 Version 2.2 | Fixed spelling and uploaded new firmware.
July 2025 Version 3.0 | Added V3xx Firmware section

Last Build: 8/12/2026 2:34 PM

< Copyright | Home | Next Chapter >


Nippon Pulse Firmware Update Guide

Welcome to the Nippon Pulse firmware update guide. This guide provides you with everything you need to successfully update the firmware on your Commander series product.

If you would like to learn more about what the term firmware means, what a firmware update is, and why your Commander needs a firmware update, please take the time to review the article What is a firmware update?

If you are new to updating the Commander firmware or need a step-by-step guide to direct you, make full use of the update walk-through .

If you only need links to download the software , firmware , or guides for using the firmware updates, they are also provided.

Not all firmware updates are compatible with all Commander products. To avoid applying the wrong update to your device, always follow the instructions in this guide when installing firmware.

Ensure that the power supplied and the USB communication are stable before beginning an update.

Please update your Commander carefully as it may not be possible to recover it. Also confirm that the new firmware is compatible with your Commander product. Otherwise, the firmware update may overwrite the old microcode with a new program that may not be compatible with your model. Incorrectly installing or installing the wrong firmware update can damage your device or completely kill it. If this occurs, it is necessary to return the bricked Commander to Nippon Pulse to have the firmware reinstalled.

The topics covered by this guide:

  • What is a firmware update?
  • Walk through to determine the correct path for your update.

Information, Downloads and Guides:

  • Downloads:
    • Software
    • Firmware
  • Guide to using the Firmware updaters.
    • V1xx firmware updater
    • V2xx firmware updater

https://www.nipponpulse.com

Copyright notice

Revision History

Support


What is a firmware update?

What is a firmware update, and why does a Commander need an update?

You may or may not have heard the term "firmware" before. However, if you own any modern electronic device, you use firmware. But what does this term mean?

What is firmware?

In lay terms, firmware is software embedded in hardware. While the term firmware is not technically interchangeable with software. Still, we are using this analogy here since it is easy to view it as software for hardware.

Firmware consists of programs written by software developers to make a hardware device work. Firmware is developed and installed by the manufacturer before you purchase a device. Without firmware, most modern electronic devices would cease to function, and would not be able to do anything.

What is a firmware update?

Firmware updates are a way to change the functionality of your device. Firmware updates are as necessary as software updates, and are an integral part of the digital world. Firmware updates are done for several distinct reasons:

    1. To fix defects or bugs found in existing firmware.
    2. To add or rewrite existing software on your device to improve performance and efficiency.
    3. To add new features to Commander.

Firmware updates are device-dependent. Updates may be infrequent (once every few years) or more frequent.

Do I need to update the firmware?

Firmware updates are important, but are they necessary? A firmware update is necessary when a defect or bug needs to be fixed, and the application is no longer supported by the firmware already installed. Firmware updates also optimize Commander performance and potentially improve processor performance. Firmware updates may allow an enhanced user experience when interacting with the device,or add new features to the device. Some firmware updates combine one or more of the above.

Firmware updates change the way your Commander works. Most critical industrial applications standardize on a firmware version and change versions only after extensive testing. Be sure to review the notes on changes from one version of firmware to the next and what features you are giving up or adding by applying the update.

How to Update Firmware

Not all firmware updates are compatible with all Commander products. To avoid applying the wrong update, always follow the instructions in this guide when installing firmware. Ensure that the power supplied, and the USB communication are stable before beginning an update. Also confirm that the new firmware is compatible with your Commander product. Otherwise, the firmware update may overwrite the old microcode with a new program that may not be compatible with your model. Incorrectly installing or installing the wrong firmware update can damage your device or completely kill it. If this occurs, return the bricked Commander to Nippon Pulse to have the firmware reinstalled. Please update your Commander carefully as it may not be possible to recover it.

Firmware updates help you update your Commander. Firmware updates fix bugs, introduce new features, and make other critical changes.


Walkthrough

From

?

To

?

This walk-through will guide you through updating the firmware on the Commander series of products.

What is the starting version of firmware on the product?

V100 V101 - V129 V200+


V100

Walkthrough ››

From

V100

To

?

So your current Firmware is version V100. Commander V100 does not have a boot-loader; you must return your commander to Nippon Pulse to update the firmware.

Contact Information


From V101 to V129

Walkthrough ››

From V101BL +

To

?

So your current Firmware is version V101BL - V129. We are happy to assist you in updating the firmware via the USB boot-loader. Please answer the following question:

What is the target version of firmware you want to load?

V101 - V129 V200+


From V200+

Walkthrough ››

From

V200BL+

To

?

So your current Firmware is version V200BL or higher. We are happy to assist you in updating the firmware via the USB boot-loader. Please answer the following question:

What is the target version of firmware you want to load?

V101 - V129 V200+


V200+ to V101+

Walkthrough ››

From

V200BL+

To

V101BL +

So your current Firmware is version V200BL+, and you want to downgrade to V129 or older. There is no provision to make this change in the field; however you can return your Commander device to Nippon Pulse to downgrade the firmware from a V2XX to a V1XX firmware.

Contact Information


V101 to V129

Walkthrough ››

From V101BL +

To

V101BL +

Great, this should be relatively straightforward. Follow the instructions below for upgrading/downgrading V1xx series firmware.

Firmware Updater

  • Download and install the CMD USB Boot-loader V1xx which can be downloaded from this link > V1.5.149

Firmware File

  • Download the new firmware file to be installed. (Firmware files for V1xx have the HEX extension)

Firmware Updater Guide

  • Go to this page for step-by-step process on how to install the firmware.


V200+

Walkthrough ››

From

V200BL+

To

V200BL+

Great, this should be relatively straightforward. Follow the instructions below for upgrading/downgrading V2xx series firmware.

Firmware Updater

  • Download and install the CMD USB Boot-loader V2xx which can be downloaded from this link > V1.5.149

Firmware File

  • Download the new firmware file to be installed. (Firmware files for V2xx have the FRM extension)

Firmware Updater Guide

  • Go to this page for step-by-step process on how to install the firmware.


V101+ to V200+

Walkthrough ››

From V101BL +

To

V200BL+

This update is a 2-step process. Step one, update the V1xx boot-loader to V2xx. Step two, Install the V2xx firmware.

Firmware Updater

You will need both the V1xx and V2xx boot-loader files:

  • Download and install the CMD USB Boot-loader V1xx which can be downloaded from this link > V1.5.149
  • Download and install the CMD USB Boot-loader V2xx which can be downloaded from this link > V1.5.149

Firmware File

You will need the update hex file and the V2xx Firmware file

  • Download the V1xx to V2xx boot-loader update HEX file to be installed. (The boot-loader update file is "UpdateV1xxToV2xx.hex")
  • Download the new firmware file to be installed. (Firmware files for V2xx have the FRM extension)

Firmware Updater Guide

  • Go to this page for step-by-step process on how to install the firmware.

Alternately, you can also contact Nippon Pulse for your free upgrade. You only pay the shipping cost.


Firmware Downloads

Here is a repository of firmware for the Commander series of products, along with a description of the changes.

  • Click the links below to go to the download page for the firmware files. Nippon Pulse recommends version V201 firmware.

Starting with V200 of the Commander Firmware, the Commander was moved from a Single-Threaded bare metal system to a Multi-Threaded Real Time Operating System.

  • Versions using Multi-Threaded Real Time Operating System V2xx series

  • Versions using Single-Threaded bare metal system V1xx series


V1xx Firmware Files

Firmware Downloads ››

Versions using Single-Threaded bare metal system V1xx series

V129

Improvements to StepNLoop operations. Added ability to make Homing Moves at Low Speed (mode bit 4=1) or High Speed (mode bit 4=0).

Model | Download Link | MD5 checksum
CMD-4CR | V129 | 4ecec9b8b91223e71dff4f8407bb5633

V128

Add Sync Buffer Support. New commands: SYNBO - SYNC Buffer on Enabled, SYNBF - SYNC Buffer off Disabled. SYNBSTAT (Read Only) returns sync buffer status (is it enabled, current count in sync buffer, max number of entries available in sync buffer);

    • In sync buffer mode SYNP(axis) command loads the sync buffer

Model | Download Link | MD5 checksum
CMD-4CR | V128 | 81a96afe218db9a1e2895dc30e7d0c4b

V127

Fix SSPD[axis] not working when S-curve enabled. PWM1, PWM2 now have same phase. Remapped MPE and MPG. Added code for compiled SCV. BF and BSTART now return error if buffer is off.

Model | Download Link | MD5 checksum
CMD-4CR | V127 | 5da9eefc5a50f0d0917209410cecb8ab

V126

Firmware fixes - PMX_4JX_OPTION version made the default standard. ID for PMX_4JX_OPTION is now CMD-4CR. This makes the following options standard and enabled for all CMD-4CR:

    • Servo Motor Interface
    • Latch Function
    • Sync Functions
    • 13 Homing modes
    • Joystick Functions
    • PWM Functions

Model | Download Link | MD5 checksum
CMD-4CR | V126 | 5daf796ff6ccf788e9feca8c36cf674d

For versions before V126, please contact Nippon Pulse .


V2xx Firmware Files

Firmware Downloads ››

Versions using Multi-Threaded (RTOS) Real Time Operating System V2xx series

V207

Fixed known Bug from V206. Added speed improvements for standalone programs. Fixed bug where ABORT[axis] at times would not stop all axis involved in linear interpolation move. Increased stability of StepnLoop, Abort, and Standalone programming.

Model | Download Link | MD5 checksum
CMD-4CR | V207 for CMD-4CR | f9cf70c5d5a2e370e70c0a426e1f1812
CMD-4EX-SA | V207 for CMD-4EX-SA | d318b0cbdd4b739a3ef904d7d248276e

V206

Fixed known Bug from V205. Test for valid motion setting now check when starting move instead of as commands entered. Added speed improvements for standalone programs.

Model | Download Link | MD5 checksum
CMD-4CR | V206 for CMD-4CR | 1ec4b1410f6e3181c6a029e9442465e3
CMD-4EX-SA | V206 for CMD-4EX-SA | b35a3d5dddf063a5cb8e06fc1a628a5d

V205

Fixed bugs with buffering and circular interpolation moves. Fixed known Bugs from 204 with V0 - V4 being set with moves. Added additional checks to catch invalid inputs related to HSPD, LSPD, ACC, DEC, SCV, MPE, LT, SCV, SL, SFL, and SFLSD . Standardize error messages and expand replies to be more helpful.

The CMD-4EX-SA version now includes the default settings for the CMD-4EX-SA series of controllers.

The CMD-4CR version is updated to V205.1 This fixes an issue where the stored POL[axis] was over written by the default on power-cycle.

V205.2 fixed an issue where PS[axis] was returning the correct speed values, but PS was reporting -1 for axis Y and incorrect values for axis Z and U.

Model | Download Link | MD5 checksum
CMD-4CR | V205.2 for CMD-4CR | 7766170422ad93fde28512de51b2dc50
CMD-4EX-SA | V205.2 for CMD-4EX-SA | e7c0a65b4d9bfc395f40576e6c5692f2

V204

Fixed known Bug from V203 with linear interpolation move running at 1pps, and UART, RS485 communication. Added new service commands,

Model | Download Link | MD5 checksum
CMD-4CR | V204 for CMD-4CR | 901750a9192bf07458328ffb045a76e5
CMD-4EX-SA | V204 for CMD-4EX-SA | 20e9c4164dcdc53a35bc1385d5ea1ebd

V203

Fixed known Bug with Standalone, Buffering, and USB communication.

Model | Download Link | MD5 checksum
CMD-4CR | V203 for CMD-4CR | a2aa1f2e04ff2f9e43085b98059c9f2a
CMD-4EX-SA | V203 for CMD-4EX-SA | 927d6890d452e4713498f099ab6f255e

V202

Fixed known Bug with CMD-4EX-SA with SCV, POL, I/O, and Motor Driver Microsteps commands. Added 4 axis in buffer mode (Vector Motion Mode).

Model | Download Link | MD5 checksum
CMD-4CR | V202 for CMD-4CR | 15399fe48a9bbb682cb4911c803c3b41
CMD-4EX-SA | V202 for CMD-4EX-SA | 15929f5757342c2b8f4fe37d72b8fabb

V201

Standalone is fully supported, All features from V129 were implemented. Added improvements to on-the-fly, full support S-curve during on-the-fly, and SSPDM is now only required if changing speed levels, See Appendix Speed Settings . Support for soft-limits was added (SFLP[axis], SFLN[axis]). Jerk control for S-Curve was added (JKA[axis], JKD[axis]). CLR command now can be sent without axis information and clear errors from all axes.

Model | Download Link | MD5 checksum
CMD-4CR | V201 for CMD-4CR | 14cddfbc193872e568d78e59e077766e
CMD-4EX-SA (DNU known issues) Please use CMD-4CR above | V201 for CMD-4EX-SA | 6b9f0294ff855bb6d8a49b713d9c67ac

V200

First version with RTOS, Ported from V127 and does not support Standalone (A-Script) language. Support for Hardware Serial Number was added.

For V200 firmware please contact Nippon Pulse


V3xx Firmware Files

Firmware Downloads ››

Versions using Multi-Threaded (RTOS) Real Time Operating System V3xx series

V304BL

There are major bugs that have been reported with V304BL of the firmware. There will all be fixed with V305BL, expected t be released by the end of August 2026. At this time NPA suggest that you downgrade to V303BL which can be downloaded below.

Upgrade to the Motion Buffer

  • Added acceleration/deceleration for
  • Threaded for increased moves per second
  • Updated algorithms for increased accuracy
  • Improvements to S-curve acceleration/deceleration

Updates to thread priority and resource allocation, Updates to PWM, Updates to analog input, Added analog output

Model | Download Link | MD5 checksum
CMD-4CR | Please use V303BL or V305BL | 6d95d37e3940d96621639f59fa2eb0c3
CMD-4EX-SA | Please use V303BL or V305BL | 77afd9bfcfe1ae228d281cc51e7811b0

V303BL

Commander 4EX-SA release. Updated AO, and Joystick commands. Fixed known Bug with JOG which stopped adjacent axis when end limit is triggered, and variables saved to flash with STORE command.

Model | Download Link | MD5 checksum
CMD-4CR | V303 for CMD-4CR | b10c8a1cd1374b032a1d43a9365edfcd
CMD-4EX-SA | V303 for CMD-4EX | 90bc9eb97643d75c1a3277283c5ff896

V302BL

Fixed known Bug with STORE that data was overwritten on startup.

Model | Download Link | MD5 checksum
CMD-4CR | V302 for CMD-4CR | 4c715ebdc95f79d65ce4824dc3ae1c2c
CMD-4EX-SA | N/A |

V301BL

First production release. Addition of boot-loader.

V300.8

Support for StandAlone (A-Script) language added.

V300.7

Analog Out added. Fixed RDP for buffer motion.

V300.6

Major update to Motion Buffer. Functions related to the Motion Buffer have moved to MotionBuffer.cpp. The Data Structure has changed CommanderStruct.hpp. Added calcRampDownPoint() to p646_Motion_Control.cpp Added new Command BTUNE, RMG can now return rmg in addition to writing to ASIC. Motion buffer reviews every buffer move and sets the correct profile for each move. Motion Buffer now has its own thread.

V300.5

Motion buffer fix to support first move in negative direction.

V300.4

Changes on board LED to provide blue heartbeat. Changes to motion buffer to support acceleration and deceleration with direction change.

V300.3

Changes to MST command to support EXSTP.

V300.2

Added code to support EXSTP (external stop). Support for SN (Serial Number) added. Fixed encoder register, circle command, limit polarity.

V300.1

Fixed UART to support CR end of line. Compiler directive support for CMD2CR and CMD8CR models.

V300

First version for Gen 5 commander hardware. Ported from V207 and does not support StandAlone (A-Script) language.

For firmware version before V302 please contact Nippon Pulse


How to Check an MD5 Checksum on Windows

Firmware Downloads ››

To check an MD5 checksum on Windows using certutil:

  1. Open the Windows command line.

Do it fast: Press Windows R, type cmd and press Enter.

Alternative: You can also open command prompt or Windows PowerShell from the Start menu, of course.

  2. Go to the folder that contains the file whose MD5 checksum you want to check and verify.

Command: Type cd followed by the path to the folder.

Tip: You can drag and drop a folder from Windows Explorer to insert the path.

  3. Type certutil -hashfile <file> MD5.

<file>: Replace <file> with the filename.

Tip: You can use the Tab key to have Windows complete the file name.

Example: Type certutil -hashfile FIRM-FRM-CMD-4CR-201BLx.FRM MD5 to get the MD5 hash for the file FIRM-FRM-CMD-4CR-201BLx.FRM.

  4. Press Enter.
  5. Compare the resulting checksum to what you expect.

If the checksums do not match then the file may be corrupted. Delete it and try to download the file again, if the check sum still does not match then contact Nippon Pulse.

Example of finding MD5 checksum


Firmware Updater Guide

Here is a repository of guides for using the firmware updater to update the firmware on the Commander series of products.

  • Guide for updating firmware using Multi-Threaded Real Time Operating System: V2xx series

  • Guide for updating firmware using Single-Threaded bare metal system: V1xx series


V1xx firmware updater

Firmware Updater Guide ››

To use the firmware updater guide for V1xx, ensure you have the following:

  • Firmware Updater (Boot-loader) V1xx can be downloaded from this link > V1.5.149
  • V1xx firmware file to be installed. (Firmware files for V1xx have the HEX extension)
    • If upgrading from V1xx to V2xx firmware, you will need the V1xx to V2xx boot-loader update HEX file to be installed. (The boot-loader update file is "UpdateV1xxToV2xx.hex")

Step 1: Connect the Commander to be updated to the Computer running the Firmware updater.

It is recommended to only have one Commander at a time connected when using the V1xx boot-loader (Firmware updater).

Ensure that the power supplied and the USB communication are stable before beginning an update.

Step 2: Start the “CMD USB Boot-loader V1xx” program.

or

Step 3: Select the Commander to update.

Once the Boot-loader starts, the connected Commander should be shown in the "CMD Device" drop-down box. If it is not, click the "Refresh Device List" button [image] ,then select the correct Commander from the "CMD Device" drop-down box.

Step 4: Set the Commander to the Boot-loader mode.

Press the "Set" button. The Boot-loader Ready box will show “PX12345678~” when the Commander is in boot-loader mode. The LED from the Commander will be off when it is in boot-loader mode.

Step 5: Open the Commander and select the firmware file (HEX).

Press the "Open" button. In the Select Hex File section, the file selection box will become active. Click the Browse button to select the firmware file (HEX) that you want to load onto the Commander.

Step 6: Download firmware to the Commander.

Press the download button. The progress bar will cycle a few times during this process. It is expected for the software to show "(Not Responding)" at times. When download is completed, a message will pop up letting you know that the download was successful.

Step 7: Reset device

After dismissing the popup message box, you will need to reset the Commander to allow it to exit boot-loader mode. To do this, press the "Reset Device" button. If you downloaded a V1xx firmware, the LED for the Commander will turn on. Connect to the Commander and send the "VER" command to confirm the firmware version. You have successfully completed the firmware update, and the Commander is ready for use.

Updating boot-loader from V1xx to V2xx

If you were updating the boot-loader to V2xx, then the LED on the Commander will be flashing, and the V1xx firmware updater will no longer be able to see the commander. You will next need to load the V2xx firmware. Continue to the V2xx firmware updater guide to complete the update.


V2xx firmware updater

Firmware Updater Guide ››

To use the firmware updater guide for V2xx, ensure you have the following:

  • Firmware Updater (Boot-loader) V2xx can be downloaded from this link > V1.5.149
  • V2xx firmware file to be installed. (Firmware files for V2xx have the FRM extension)

Step 1: Connect the Commander to be updated to the Computer running the Firmware updater.

Ensure that the power supplied and the USB communication are stable before beginning an update.

Step 2: Start the “Commander V2xx USB Boot-loader” program.

Step 3: Update Commander list in the firmware updater.

Once the Firmware Loader starts, the connected Commander(s) should be shown in the "Commanders" list. If it is not, click the "Refresh Device List" button.

On the "Commanders" list, all the connected Commanders are listed and color-coded. V2xx firmware updater can connect with up to 16 Commanders at a time.

  • Commanders on lines colored white have the V2xx boot-loader installed and are in boot-loader mode.
    • Commanders in boot-loader mode are ready to have a V2xx firmware updated.
  • Commanders on lines colored green have a V2xx firmware installed.
    • Commanders in green must be put into boot-loader mode before installing a different firmware.
  • Commanders on lines colored red have a V1xx firmware installed.
    • Commanders in red must have the boot-loader updated to V2xx before a V2xx firmware can be installed.

Step 4: Select the Commander that needs the firmware updated.

If the Commander you are loading new firmware on is already in boot-loader mode (the line is colored white), you can proceed to step 5 .

In the "Commanders" list, click the "Sel" column on every Commander colored in green that you would like to enter into boot-loader mode. This marks an "X" in these rows.

Next, click the "Reset Selected Commander Module to Boot-loader mode" button.

When the selected Commanders enter the boot-loader mode, the line In the "Commanders" list will turn white. The "Boot-load Devices Found" in the "Update Device" section will be set to the total number of Commanders in boot-load mode.

Step 5: Open the Commander and select the firmware file (FRM).

In the "Firmware File" section, press the "Browse" button to select the firmware file (FRM) that you want to load onto the Commander.

Confirm that the new firmware is compatible with your Commander product. The firmware file name contains the three-character code for your Commander device. (For example 4CR for CMD-4CR, 4EX for CMD-4EX-SA).

Step 6: Select the Commander to have the firmware updated.

In the "Commanders" list, click the "Sel" column on every Commander colored in white that you would like to download the selected firmware to. This marks an "X" in these rows.

Step 7: Download firmware to the Commander

In the "Update Device" section, ensure the "Reset after program" check box is selected and click the "Program Selected Commander Module" button. The Firmware Loader will begin loading the firmware to the selected Commanders. During this process, the Commander having firmware downloaded will turn purple and be labeled "Programming." It is expected for the software to show "(Not Responding)" at times during the programming progress.

The Commander will automatically reset and exit boot-load mode after completing the firmware downloading process. The Commander on the list turns green, and the LED for the Commander becomes active. To confirm the firmware version that was downloaded, consult the "Firmware" column. You have successfully completed the firmware update, and the Commander is ready for use.


V3xx firmware updater

Firmware Updater Guide ››

To use the firmware updater guide for V3xx, ensure you have the following:

  • V3xx Firmware Updater installer can be downloaded from this link > V1.1
  • V3xx firmware file to be installed. (Firmware files for V3xx have the .bin extension)

Step 0: Install the “Commander V3xx Firmware Updater” if not already installed.

Step 1: Connect the Commander to be updated to the Computer running the Firmware updater.

  • Ensure that the power supplied and the USB communication are stable before beginning an update.
  • Ensure that only one commander is connected at a time when updating Firmware

Step 2: Start the “Commander V3xx Firmware Updater” program.

Click icon

Main Screen

Step 3: Click the 'Connect' button to connect the Commander.

Press Connect button

The ID and current firmware version will appear in green beside the button if successful

Step 4: Click the 'Select File' and select the firmware file (BIN) to be uploaded to the Commander.

Select the firmware file to be uploaded to the Commander

Example: 'FIRM-FRM-CMD-4CR-303.bin'

The program will validate that this is a valid firmware file, it does not verify that it is a newer version of firmware

The file selected is shown next to the 'Select File' button

The status at the bottom of the page will let you know if the firmware file validation is successful or failed

Step 5: Click the 'Update Firmware' button to upload firmware to the Commander.

The new firmware will be loaded onto the Commander, progress is shown on the bar

Current status shown at bottom of the page

The Commander will then be reset

The status at the bottom of the page will show the new version number once the update is finished

Congratulations you have successfully updated your Gen 5 Commander. You may now safely close the application.


Software downloads

Here is a repository of downloads for the firmware updater to update the firmware on the Commander series of products.

  • Download and install the CMD USB Boot-loader V1xx which can be downloaded from this link > V1.5.149
  • Download and install the CMD USB Boot-loader V2xx which can be downloaded from this link > V1.5.149


Contact information

Nippon Pulse America, Inc.

4 Corporate Drive Street, Radford, VA 24141 USA

Phone: 1-540-633-1677

E-mail: info@nipponpulse.com

Web: https://www.nipponpulse.com